Announcement

Collapse
No announcement yet.

Snitz import catch 22

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Snitz import catch 22

    Okay, I've got vBulletin and Impex installed, that much went fine. Now I'd like to import my Snitz forum. Problem is, my Snitz forum is v.3.4.03, the Impex scripts are for v.3.4.04, and the version of Snitz currently available for download is 3.4.05.

    Anyone know if the Impex scripts for 3.4.04 will work with v.3.4.05? I could update my forum to 3.4.05 and then run the import.

    Or is there an Impex script for Snitz v.3.4.03 that's still available?

    TIA,
    ~Matt Arant

  • #2
    I suggest trying the existing import script. It will probably work unless there have been major changes to the Snitz db between those versions.
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      It didn't work. It was looking for far more tables than it found in 3.4.03.

      Comment


      • #4
        Frankly I'm surprised there would be such a dramatic change betwween 3.4.03 and 3.4.04. That doesn't follow normal versioning standards.

        Unfortunately I do not have an answer for you except to upgrade to 3.4.05 and see if that works. If it doesn't then I'm sure Jerry can update the importer for the latest version of Snitz.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          I converted mine from Snitz version 3.4.03 (heavily modified even), so it does work - there are no DB changes between 3.4.03, 3.4.04 and the newest 3.4.05

          You say it didnĀ“t work, can you be more specific?

          Comment


          • #6
            The schema is the same between the versions.
            I wrote ImpEx.

            Blog | Me

            Comment


            • #7
              Ah, my mistake, it turns out. You're both completely correct. I misinterpreted error messages about tables. The real problem was that the MSSQL module was not properly installed on our IIS server. Once that was resolved, my first pass at an import went as well as could be expected: over 25k members and 68k posts in about 20 minutes. I rebuilt the threads, posts, and users and things are showing up where they should.

              Main problem at this point--and I'm hoping this is minor and I just missed the instructions somewhere--is that the BBcode is showing up in the posts, like this:

              "[img=right]images/forum_cover.gif[/img=right]"

              Can you steer me toward the solution?

              Comment


              • #8
                Arrgh. Not like that. Like this:

                HTML Code:
                [url="http://www.mysite.com"][img=right]images/forum_cover.gif[/img=right][/url]

                Comment


                • #9
                  You can use the cleaner.php script to fix this:

                  http://www.vbulletin.com/docs/html/main/impex_cleaner
                  Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                  Change CKEditor Colors to Match Style (for 4.1.4 and above)

                  Steve Machol Photography


                  Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                  Comment

                  widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                  Working...
                  X